QGIS Application - Bug report #15083
Import Data into Geopackage using DBManager
2016-06-19 04:59 PM - Randal Hale

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:master Regression?: No
Operating System: Linux Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23025
Description

Data Location: https://www.dropbox.com/sh/n93hx8w7g6z6rv7/AAB2zj75D40NJCZjDUPiy7Rva?di=0

QGIS Master: eee599e
gdal: 1.11.3

| think this isn't working right. I think.

So | create a geopackage (test1.gpkg) using the data coast_n83.shp through the "Save As..." Dialogue in QGIS. | then try to import
Assisted_L.iving.shp into the geopackage (using domanager) and receive an error: Error 11 Connection to database failed

| also tried several things like dragging and dropping and changing the name etc - can't add data. | converted the Assisted_Living.shp to a
geopackage and couldn't get it to copy a table from one geopackage to another - in other words | can't create a geopackage with more
than one layer in QGIS.

| can add data using ogr: ogr2ogr -append test1.gpkg Assisted_Living.shp -nin assisted_living

Now that | type all of this - I'm wondering if you can add data or if that's the way it is.

History

#1 - 2016-06-20 02:55 AM - Even Rouault

Note: the provided link is a File Geodatabase and not the mentionned shapefiles.

Isn't it a duplicate of #14981 ?

#2 - 2016-06-20 04:56 AM - Randal Hale

Sorry about that: https://www.dropbox.com/sh/hOhck6ngmesbymv/AABalB1Xw7SS4ZD2gdqdNQhra?dI=0

And it appears this might be a duplicate of 14981 - It appears they are trying to do the same thing | am which is import a shapefile into an existing
geopackage.

#3 - 2017-02-26 02:24 PM - Randal Hale
- Status changed from Open to Closed
